"""
Authors: Sohie Lee, Peter Mawhorter
Purpose: data from 2016 Ironman Kona triathlon
         Age group: 18-24 year old stored as a list of dictionaries, one
         dictionary per athlete. Times are in fractional hours.
Filename: kona.py
"""

kona = [
    {'swim': 0.95, 'finish': 9.433333333333334, 'run': 3.283333333333333, 'firstname': 'Hans Christian', 'lastname': 'Tungesvik', 'genderRank': '128', 'overallRank': '137', 'bike': 5.083333333333333, 'country': 'NOR', 'divRank': '1'},
    {'swim': 0.95, 'finish': 9.516666666666667, 'run': 3.4833333333333334, 'firstname': 'Kristian', 'lastname': 'Hindkjaer', 'genderRank': '159', 'overallRank': '169', 'bike': 4.933333333333333, 'country': 'DNK', 'divRank': '2'},
    {'swim': 1.05, 'finish': 9.533333333333333, 'run': 3.35, 'firstname': 'Ivan', 'lastname': 'Kharin', 'genderRank': '172', 'overallRank': '183', 'bike': 5.0, 'country': 'RUS', 'divRank': '3'},
    {'swim': 0.9666666666666666, 'finish': 9.583333333333332, 'run': 3.433333333333333, 'firstname': 'Mikkel', 'lastname': 'Mortensen', 'genderRank': '200', 'overallRank': '213', 'bike': 5.083333333333333, 'country': 'DNK', 'divRank': '4'},
    {'swim': 1.0166666666666666, 'finish': 9.633333333333335, 'run': 3.3000000000000003, 'firstname': 'Alexander', 'lastname': 'Geddes', 'genderRank': '227', 'overallRank': '240', 'bike': 5.133333333333334, 'country': 'NZL', 'divRank': '5'},
    {'swim': 0.9, 'finish': 9.733333333333333, 'run': 3.6, 'firstname': 'Andre', 'lastname': 'Lopes', 'genderRank': '276', 'overallRank': '294', 'bike': 5.116666666666667, 'country': 'BRA', 'divRank': '6'},
    {'swim': 0.8833333333333333, 'finish': 9.766666666666667, 'run': 3.7, 'firstname': 'Juuso', 'lastname': 'Manninen', 'genderRank': '286', 'overallRank': '305', 'bike': 5.05, 'country': 'FIN', 'divRank': '7'},
    {'swim': 0.8833333333333333, 'finish': 9.783333333333335, 'run': 3.616666666666667, 'firstname': 'Alexis', 'lastname': 'Tissot', 'genderRank': '308', 'overallRank': '328', 'bike': 5.166666666666666, 'country': 'FRA', 'divRank': '8'},
    {'swim': 1.15, 'finish': 9.916666666666668, 'run': 3.283333333333333, 'firstname': 'Pascal', 'lastname': 'Boll', 'genderRank': '377', 'overallRank': '403', 'bike': 5.316666666666667, 'country': 'CHE', 'divRank': '9'},
    {'swim': 0.8833333333333333, 'finish': 9.95, 'run': 3.9333333333333336, 'firstname': 'William', 'lastname': 'Mennesson', 'genderRank': '400', 'overallRank': '427', 'bike': 5.016666666666667, 'country': 'FRA', 'divRank': '10'},
    {'swim': 1.0, 'finish': 10.016666666666666, 'run': 3.816666666666667, 'firstname': 'Joachim', 'lastname': 'Philipps', 'genderRank': '435', 'overallRank': '467', 'bike': 5.016666666666667, 'country': 'FRA', 'divRank': '11'},
    {'swim': 0.9666666666666666, 'finish': 10.183333333333332, 'run': 3.75, 'firstname': 'Matthew', 'lastname': 'Appleby', 'genderRank': '530', 'overallRank': '572', 'bike': 5.3, 'country': 'USA', 'divRank': '12'},
    {'swim': 1.0833333333333335, 'finish': 10.25, 'run': 3.5166666666666666, 'firstname': 'Guilherme', 'lastname': 'Pacheco Venturini', 'genderRank': '567', 'overallRank': '613', 'bike': 5.433333333333333, 'country': 'BRA', 'divRank': '13'},
    {'swim': 1.0166666666666666, 'finish': 10.3, 'run': 3.533333333333333, 'firstname': 'Benjamin', 'lastname': 'Rudson', 'genderRank': '595', 'overallRank': '645', 'bike': 5.566666666666666, 'country': 'CAN', 'divRank': '14'},
    {'swim': 1.0, 'finish': 10.316666666666666, 'run': 4.0, 'firstname': 'Maximilian', 'lastname': 'Braun', 'genderRank': '610', 'overallRank': '661', 'bike': 5.183333333333334, 'country': 'AUT', 'divRank': '15'},
    {'swim': 1.1, 'finish': 10.316666666666666, 'run': 3.6500000000000004, 'firstname': 'Christoffer', 'lastname': 'Salmon', 'genderRank': '611', 'overallRank': '662', 'bike': 5.433333333333333, 'country': 'DNK', 'divRank': '16'},
    {'swim': 1.05, 'finish': 10.483333333333333, 'run': 3.35, 'firstname': 'Larissa', 'lastname': 'Rabago', 'genderRank': '69', 'overallRank': '762', 'bike': 5.916666666666666, 'country': 'MEX', 'divRank': '1'},
    {'swim': 1.0833333333333335, 'finish': 10.616666666666665, 'run': 3.75, 'firstname': 'Federica', 'lastname': 'De Nicola', 'genderRank': '87', 'overallRank': '846', 'bike': 5.65, 'country': 'ITA', 'divRank': '2'},
    {'swim': 1.2833333333333332, 'finish': 10.633333333333335, 'run': 3.5666666666666664, 'firstname': 'Katrine', 'lastname': 'Brock', 'genderRank': '88', 'overallRank': '854', 'bike': 5.65, 'country': 'DNK', 'divRank': '3'},
    {'swim': 1.1333333333333335, 'finish': 10.666666666666668, 'run': 3.6500000000000004, 'firstname': 'Davie', 'lastname': 'Williamson', 'genderRank': '788', 'overallRank': '881', 'bike': 5.7, 'country': 'GBR', 'divRank': '17'},
    {'swim': 0.9166666666666667, 'finish': 10.733333333333333, 'run': 3.7, 'firstname': 'Jp', 'lastname': 'Giblin', 'genderRank': '817', 'overallRank': '922', 'bike': 5.916666666666666, 'country': 'USA', 'divRank': '18'},
    {'swim': 1.1166666666666667, 'finish': 10.733333333333333, 'run': 3.4666666666666663, 'firstname': 'Kierra', 'lastname': 'Sansome', 'genderRank': '106', 'overallRank': '923', 'bike': 6.016666666666667, 'country': 'AUS', 'divRank': '4'},
    {'swim': 1.0333333333333334, 'finish': 10.75, 'run': 4.266666666666667, 'firstname': 'Caleb', 'lastname': 'Knight', 'genderRank': '825', 'overallRank': '934', 'bike': 5.283333333333333, 'country': 'USA', 'divRank': '19'},
    {'swim': 1.1666666666666667, 'finish': 10.85, 'run': 3.6666666666666665, 'firstname': 'Stine Baekgaard', 'lastname': 'Olsen', 'genderRank': '125', 'overallRank': '993', 'bike': 5.866666666666666, 'country': 'DNK', 'divRank': '5'},
    {'swim': 0.95, 'finish': 11.033333333333333, 'run': 4.366666666666666, 'firstname': 'Aj', 'lastname': 'Reid', 'genderRank': '936', 'overallRank': '1094', 'bike': 5.5, 'country': 'USA', 'divRank': '20'},
    {'swim': 0.9666666666666666, 'finish': 11.083333333333334, 'run': 4.716666666666666, 'firstname': 'Sebastian', 'lastname': 'Munro', 'genderRank': '954', 'overallRank': '1130', 'bike': 5.266666666666667, 'country': 'CAN', 'divRank': '21'},
    {'swim': 1.0333333333333334, 'finish': 11.083333333333334, 'run': 3.7833333333333337, 'firstname': 'Kayla', 'lastname': 'Coleman', 'genderRank': '177', 'overallRank': '1132', 'bike': 6.133333333333334, 'country': 'USA', 'divRank': '6'},
    {'swim': 1.1833333333333336, 'finish': 11.083333333333334, 'run': 3.95, 'firstname': 'Valentine', 'lastname': 'Filleul', 'genderRank': '178', 'overallRank': '1134', 'bike': 5.85, 'country': 'FRA', 'divRank': '7'},
    {'swim': 1.0666666666666667, 'finish': 11.1, 'run': 3.816666666666667, 'firstname': 'Luke', 'lastname': 'Davis', 'genderRank': '960', 'overallRank': '1139', 'bike': 5.966666666666667, 'country': 'USA', 'divRank': '22'},
    {'swim': 1.0166666666666666, 'finish': 11.1, 'run': 4.516666666666666, 'firstname': 'Tom', 'lastname': 'Gersekowski', 'genderRank': '965', 'overallRank': '1147', 'bike': 5.416666666666667, 'country': 'AUS', 'divRank': '23'},
    {'swim': 1.1333333333333335, 'finish': 11.116666666666667, 'run': 3.883333333333333, 'firstname': 'Leah', 'lastname': 'Carroll', 'genderRank': '187', 'overallRank': '1155', 'bike': 5.933333333333333, 'country': 'USA', 'divRank': '8'},
    {'swim': 0.9, 'finish': 11.116666666666667, 'run': 4.5, 'firstname': 'Xavier', 'lastname': 'Santana', 'genderRank': '969', 'overallRank': '1156', 'bike': 5.45, 'country': 'PRI', 'divRank': '24'},
    {'swim': 0.9833333333333333, 'finish': 11.116666666666667, 'run': 4.183333333333334, 'firstname': 'Paula', 'lastname': 'Ponte', 'genderRank': '188', 'overallRank': '1157', 'bike': 5.8, 'country': 'BRA', 'divRank': '9'},
    {'swim': 1.1333333333333335, 'finish': 11.133333333333333, 'run': 4.133333333333334, 'firstname': 'Michael', 'lastname': 'Stribling', 'genderRank': '971', 'overallRank': '1159', 'bike': 5.683333333333334, 'country': 'USA', 'divRank': '25'},
    {'swim': 1.1, 'finish': 11.133333333333333, 'run': 3.9, 'firstname': 'Hiraya', 'lastname': 'Shun', 'genderRank': '972', 'overallRank': '1163', 'bike': 5.933333333333333, 'country': 'JPN', 'divRank': '26'},
    {'swim': 1.2166666666666666, 'finish': 11.15, 'run': 3.5500000000000003, 'firstname': 'Benjamin', 'lastname': 'Maas', 'genderRank': '978', 'overallRank': '1172', 'bike': 6.183333333333334, 'country': 'USA', 'divRank': '27'},
    {'swim': 0.9166666666666667, 'finish': 11.183333333333332, 'run': 4.4, 'firstname': 'Alexander', 'lastname': 'Jackson', 'genderRank': '987', 'overallRank': '1185', 'bike': 5.683333333333334, 'country': 'AUS', 'divRank': '28'},
    {'swim': 1.0, 'finish': 11.333333333333332, 'run': 4.35, 'firstname': 'Braden', 'lastname': 'Pleckaitis', 'genderRank': '1031', 'overallRank': '1264', 'bike': 5.75, 'country': 'LTU', 'divRank': '29'},
    {'swim': 1.2666666666666666, 'finish': 11.333333333333332, 'run': 4.083333333333333, 'firstname': 'Line', 'lastname': 'Bonde', 'genderRank': '235', 'overallRank': '1268', 'bike': 5.816666666666667, 'country': 'DNK', 'divRank': '10'},
    {'swim': 1.2166666666666666, 'finish': 11.333333333333332, 'run': 4.266666666666667, 'firstname': 'Yuichi', 'lastname': 'Akiyama', 'genderRank': '1034', 'overallRank': '1270', 'bike': 5.666666666666667, 'country': 'JPN', 'divRank': '30'},
    {'swim': 1.2166666666666666, 'finish': 11.466666666666665, 'run': 4.2, 'firstname': 'Jen', 'lastname': 'Koester', 'genderRank': '268', 'overallRank': '1335', 'bike': 5.883333333333334, 'country': 'USA', 'divRank': '11'},
    {'swim': 1.1833333333333336, 'finish': 11.483333333333333, 'run': 3.95, 'firstname': 'Nicolas', 'lastname': 'Pertsinidis', 'genderRank': '1072', 'overallRank': '1345', 'bike': 6.183333333333334, 'country': 'FRA', 'divRank': '31'},
    {'swim': 0.9833333333333333, 'finish': 11.516666666666667, 'run': 5.016666666666667, 'firstname': 'Maciej', 'lastname': 'Konczewski', 'genderRank': '1083', 'overallRank': '1358', 'bike': 5.4, 'country': 'USA', 'divRank': '32'},
    {'swim': 1.1, 'finish': 11.616666666666665, 'run': 4.2, 'firstname': 'Guadalupe', 'lastname': 'Diaz Sebriano', 'genderRank': '299', 'overallRank': '1414', 'bike': 6.183333333333334, 'country': 'ARG', 'divRank': '12'},
    {'swim': 0.9166666666666667, 'finish': 11.666666666666668, 'run': 4.833333333333333, 'firstname': 'Loic', 'lastname': 'Guinchard', 'genderRank': '1130', 'overallRank': '1434', 'bike': 5.7, 'country': 'CHE', 'divRank': '33'},
    {'swim': 1.1333333333333335, 'finish': 11.783333333333335, 'run': 4.5, 'firstname': 'Tom', 'lastname': 'Callaghan', 'genderRank': '1156', 'overallRank': '1481', 'bike': 5.9, 'country': 'AUS', 'divRank': '34'},
    {'swim': 1.0166666666666666, 'finish': 11.783333333333335, 'run': 4.7, 'firstname': 'Richard', 'lastname': 'Ford', 'genderRank': '1158', 'overallRank': '1485', 'bike': 5.883333333333334, 'country': 'USA', 'divRank': '35'},
    {'swim': 1.1, 'finish': 12.033333333333333, 'run': 4.516666666666666, 'firstname': 'Lucy', 'lastname': 'Wales', 'genderRank': '378', 'overallRank': '1579', 'bike': 6.216666666666667, 'country': 'AUS', 'divRank': '13'},
    {'swim': 1.2666666666666666, 'finish': 12.166666666666666, 'run': 4.116666666666667, 'firstname': 'Waitohu', 'lastname': 'Ngarewa', 'genderRank': '404', 'overallRank': '1621', 'bike': 6.616666666666667, 'country': 'NZL', 'divRank': '14'},
    {'swim': 1.0833333333333335, 'finish': 12.2, 'run': 4.933333333333333, 'firstname': 'Elke', 'lastname': 'Peirtsegaele', 'genderRank': '406', 'overallRank': '1629', 'bike': 6.033333333333332, 'country': 'USA', 'divRank': '15'},
    {'swim': 1.1666666666666667, 'finish': 12.216666666666669, 'run': 4.466666666666667, 'firstname': 'Gina', 'lastname': 'Myers', 'genderRank': '410', 'overallRank': '1637', 'bike': 6.45, 'country': 'USA', 'divRank': '16'},
    {'swim': 1.1, 'finish': 12.233333333333334, 'run': 4.2333333333333325, 'firstname': 'Julia', 'lastname': 'Lundquist', 'genderRank': '414', 'overallRank': '1643', 'bike': 6.733333333333334, 'country': 'SWE', 'divRank': '17'},
    {'swim': 1.2000000000000002, 'finish': 12.266666666666667, 'run': 4.3, 'firstname': 'Wendy', 'lastname': 'Atkins', 'genderRank': '423', 'overallRank': '1655', 'bike': 6.633333333333333, 'country': 'USA', 'divRank': '18'},
    {'swim': 1.3166666666666664, 'finish': 12.433333333333334, 'run': 4.166666666666666, 'firstname': 'Kayla', 'lastname': 'Jones', 'genderRank': '446', 'overallRank': '1704', 'bike': 6.733333333333334, 'country': 'CAN', 'divRank': '19'},
    {'swim': 1.35, 'finish': 12.533333333333333, 'run': 4.55, 'firstname': 'Elizabeth', 'lastname': 'Izzo', 'genderRank': '456', 'overallRank': '1728', 'bike': 6.433333333333333, 'country': 'USA', 'divRank': '20'},
    {'swim': 0.9333333333333335, 'finish': 12.7, 'run': 5.35, 'firstname': 'Alex', 'lastname': 'Whelan', 'genderRank': '474', 'overallRank': '1763', 'bike': 6.25, 'country': 'USA', 'divRank': '21'},
    {'swim': 1.0666666666666667, 'finish': 12.7, 'run': 4.716666666666666, 'firstname': 'Michelle', 'lastname': 'Devente', 'genderRank': '477', 'overallRank': '1767', 'bike': 6.733333333333334, 'country': 'USA', 'divRank': '22'},
    {'swim': 1.2833333333333332, 'finish': 12.966666666666667, 'run': 4.966666666666667, 'firstname': 'Morgan', 'lastname': 'Mcninch', 'genderRank': '506', 'overallRank': '1824', 'bike': 6.533333333333334, 'country': 'CAN', 'divRank': '23'},
    {'swim': 1.1666666666666667, 'finish': 13.033333333333333, 'run': 4.5, 'firstname': 'Mercedes', 'lastname': 'Decarli', 'genderRank': '516', 'overallRank': '1843', 'bike': 7.183333333333334, 'country': 'USA', 'divRank': '24'},
    {'swim': 0.8833333333333333, 'finish': 13.1, 'run': 6.8, 'firstname': 'Duy Thien T', 'lastname': 'Do', 'genderRank': '1333', 'overallRank': '1853', 'bike': 5.1, 'country': 'BEL', 'divRank': '36'},
    {'swim': 1.3833333333333333, 'finish': 13.316666666666666, 'run': 5.083333333333333, 'firstname': 'Roberto R', 'lastname': 'Colon', 'genderRank': '1350', 'overallRank': '1878', 'bike': 6.583333333333333, 'country': 'PRI', 'divRank': '37'},
    {'swim': 1.25, 'finish': 13.483333333333333, 'run': 5.45, 'firstname': 'Makinsie', 'lastname': 'Davis', 'genderRank': '535', 'overallRank': '1894', 'bike': 6.533333333333334, 'country': 'USA', 'divRank': '25'},
    {'swim': 1.35, 'finish': 13.95, 'run': 4.55, 'firstname': 'Sara', 'lastname': 'Sanchez Jimenez', 'genderRank': '563', 'overallRank': '1956', 'bike': 7.7, 'country': 'ESP', 'divRank': '26'},
    {'swim': 1.1833333333333336, 'finish': 13.966666666666667, 'run': 5.833333333333333, 'firstname': 'Tomohiko', 'lastname': 'Azuma', 'genderRank': '1394', 'overallRank': '1957', 'bike': 6.7, 'country': 'JPN', 'divRank': '38'},
    {'swim': 1.3666666666666667, 'finish': 14.116666666666667, 'run': 5.533333333333334, 'firstname': 'Anna', 'lastname': 'Oleander', 'genderRank': '567', 'overallRank': '1973', 'bike': 6.966666666666667, 'country': 'SWE', 'divRank': '27'},
    {'swim': 1.4166666666666667, 'finish': 14.933333333333334, 'run': 5.65, 'firstname': 'Jaimee', 'lastname': 'Davis', 'genderRank': '600', 'overallRank': '2064', 'bike': 7.583333333333333, 'country': 'USA', 'divRank': '28'},
    {'swim': 1.4166666666666667, 'finish': 15.666666666666668, 'run': 6.2, 'firstname': 'Elisa', 'lastname': 'Talker', 'genderRank': '629', 'overallRank': '2128', 'bike': 7.783333333333333, 'country': 'AUT', 'divRank': '29'},
    {'swim': 0.9166666666666667, 'finish': 'DNF', 'run': '---', 'firstname': 'Grant', 'lastname': 'Fritz', 'genderRank': '---', 'overallRank': '---', 'bike': '---', 'country': 'USA', 'divRank': '---'},
    {'swim': 1.0666666666666667, 'finish': 'DNF', 'run': '---', 'firstname': 'Emily', 'lastname': 'Kempson', 'genderRank': '---', 'overallRank': '---', 'bike': '---', 'country': 'AUS', 'divRank': '---'},
]
